import { MatDialogRef } from '@angular/material/dialog';
import { CountdownConfig, CountdownEvent } from '../../countdown';
import * as i0 from "@angular/core";
export declare class NgmCountdownConfirmationComponent {
    isDialogContainer: boolean;
    protected dialogRef: MatDialogRef<NgmCountdownConfirmationComponent>;
    private data;
    recordType: string;
    isEnabled: boolean;
    countDownConfig: CountdownConfig;
    constructor();
    handleActionEvent(e: CountdownEvent): void;
    close(): void;
    continue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmCountdownConfirmationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmCountdownConfirmationComponent, "ngm-countdown-confirmation", never, {}, {}, never, never, false, never>;
}
